Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface MindmapEditor

    com.change_vision.jude.api.inf.editor.MindmapEditor

All Superinterfaces:
  DiagramEditor

All Implemented Interfaces:
  DiagramEditor

    public MindmapEditor

extends DiagramEditor

Interface to edit (create/delete) Mind Map. Throws Exception when invalid models are generated.

Method Summary
`abstract void` | `changeToFloatingTopic(INodePresentation topic)` Change the specified topic to a floating topic.
`abstract IMindMapDiagram` | `createMindmapDiagram(INamedElement parent, String rootTopicLabel)` Create a mind map in a parent package.
`abstract ILinkPresentation` | `createMMLinkPresentation(INodePresentation source, INodePresentation target)` Create a MMLink Presentation.
`abstract INodePresentation` | `createTopic(INodePresentation parent, String label)` Create a child topic to a parent topic.
`abstract INodePresentation` | `createTopic(INodePresentation parent, String label, String position)` Create a child topic to a parent topic by specifying a position.
`abstract INodePresentation` | `createTopic(INodePresentation parent, String label, int index)` Create a child topic to a parent topic by specifying an index.
`abstract INodePresentation` | `createTopic(INodePresentation parent, String label, int index, String position)` Create a child topic to a parent topic by specifying an index and a position.
`abstract void` | `deleteChildren(INodePresentation parent)` Delete all child topics of the parent.
`abstract void` | `deleteImage(INodePresentation topic)` Delete an image from a topic.
`abstract void` | `moveTo(INodePresentation topic, INodePresentation parent)` Move a topic to a parent topic.
`abstract void` | `moveTo(INodePresentation topic, INodePresentation parent, String position)` Move a topic to a parent topic by specifying a position.
`abstract void` | `moveTo(INodePresentation topic, INodePresentation parent, int index)` Move a topic to a parent topic by specifying an index.
`abstract void` | `moveTo(INodePresentation topic, INodePresentation parent, int index, String position)` Move a topic to a parent topic by specifying an index and a position.
`abstract void` | `setBoundaryVisibility(INodePresentation topic, boolean visibility)` Set if a boundary to a topic should be shown.
`abstract void` | `setImage(INodePresentation topic, Image image)` Set an image to a topic.
`abstract void` | `setImageSize(INodePresentation topic, double width, double height)` Set size of an topic's image.

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createMindmapDiagram

    abstract IMindMapDiagram createMindmapDiagram(INamedElement parent,
                                                  String rootTopicLabel)

  Create a mind map in a parent package. Diagram is set to DiagramEditor (DiagramEditor.setDiagram(IDiagram diagram)) if the diagram is created successfully.

  Parameters:
    `parent` - Parent Package
    `rootTopicLabel` - Mind Map Name (Root Topic Name)
  Returns:
    Mind Map
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              NO_NAME_ERROR_KEY - if the name is empty.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createTopic

    abstract INodePresentation createTopic(INodePresentation parent,
                                           String label)

  Create a child topic to a parent topic.

  Parameters:
    `parent` - Parent Topic
    `label` - Child Topic Name
  Throws:
    `InvalidEditingException` - invalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createTopic

    abstract INodePresentation createTopic(INodePresentation parent,
                                           String label,
                                           String position)

  Create a child topic to a parent topic by specifying a position.

  Parameters:
    `parent` - Parent Topic
    `label` - Child Topic Name
    `position` - Position of Child Topic ("left" or "right")
  Throws:
    `InvalidEditingException` - invalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createTopic

    abstract INodePresentation createTopic(INodePresentation parent,
                                           String label,
                                           int index)

  Create a child topic to a parent topic by specifying an index.

  Parameters:
    `parent` - Parent Topic
    `label` - Child Topic Name
    `index` - Index of Child Topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createTopic

    abstract INodePresentation createTopic(INodePresentation parent,
                                           String label,
                                           int index,
                                           String position)

  Create a child topic to a parent topic by specifying an index and a position.

  Parameters:
    `parent` - Parent Topic
    `label` - Child Topic Name
    `index` - Index of Child Topic
    `position` - Position of Child Topic ("left" or "right")
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### moveTo

    abstract void moveTo(INodePresentation topic,
                         INodePresentation parent)

  Move a topic to a parent topic.

  Parameters:
    `parent` - Parent Topic
    `topic` - Child Topic to be moved
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY - if a topic is moved to another topic in a different diagram or to itself.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### moveTo

    abstract void moveTo(INodePresentation topic,
                         INodePresentation parent,
                         String position)

  Move a topic to a parent topic by specifying a position.

  Parameters:
    `parent` - Parent Topic
    `topic` - Child Topic to be moved
    `position` - Position of Child Topic ("left" or "right")
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY - if a topic is moved to another topic in a different diagram or to itself.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### moveTo

    abstract void moveTo(INodePresentation topic,
                         INodePresentation parent,
                         int index)

  Move a topic to a parent topic by specifying an index.

  Parameters:
    `parent` - Parent Topic
    `topic` - Child Topic to be moved
    `index` - Index of Child Topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY - if a topic is moved to another topic in a different diagram or to itself.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### moveTo

    abstract void moveTo(INodePresentation topic,
                         INodePresentation parent,
                         int index,
                         String position)

  Move a topic to a parent topic by specifying an index and a position.

  Parameters:
    `parent` - Parent Topic
    `topic` - Child Topic to be moved
    `index` - Index of Child Topic
    `position` - Position of Child Topic ("left" or "right")
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              INVALID_MINDMAP_TOPIC_MOVE_ERROR_KEY - if a topic is moved to another topic in a different diagram or to itself.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### deleteChildren

    abstract void deleteChildren(INodePresentation parent)

  Delete all child topics of the parent.

  Parameters:
    `parent` - Parent Topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createMMLinkPresentation

    abstract ILinkPresentation createMMLinkPresentation(INodePresentation source,
                                                        INodePresentation target)

  Create a MMLink Presentation.

  Parameters:
    `linkEnd0` - the presentation connected to one side of the link
    `linkEnd1` - the presentation connected to one side of the link
  Returns:
    MMLink Presentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setImage

    abstract void setImage(INodePresentation topic,
                           Image image)

  Set an image to a topic.

  Parameters:
    `topic` - topic
    `image` - image
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### deleteImage

    abstract void deleteImage(INodePresentation topic)

  Delete an image from a topic.

  Parameters:
    `topic` - topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setImageSize

    abstract void setImageSize(INodePresentation topic,
                               double width,
                               double height)

  Set size of an topic's image.

  Parameters:
    `topic` - topic
    `width` - image width(except 0. If width is a negative value, maintain the aspect ratio of the original image dimensions.)
    `height` - image height(except 0. If height is a negative value, maintain the aspect ratio of the original image dimensions.)
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setBoundaryVisibility

    abstract void setBoundaryVisibility(INodePresentation topic,
                                        boolean visibility)

  Set if a boundary to a topic should be shown.

  Parameters:
    `topic` - Topic
    `visibility` - true Boundary should be shown / false Boundary shouldn't be shown
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### changeToFloatingTopic

    abstract void changeToFloatingTopic(INodePresentation topic)

  Change the specified topic to a floating topic.

  Parameters:
    `topic` - Topic to cut off as a floating topic
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

  Since:
    6.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD